Dashboard Meta
Returns a list of redeemables created in the business
Any update made to the configuration in the Punchh platform will be reflected in the API response after a 15-minute delay, instead of in real time, to improve performance.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
Responses
- application/json
- application/json
Request Example for get/api2/dashboard/meta
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/meta \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE'
{
"redeemables": [
{
"redeemable_image_url": "IMAGE_URL_GOES_HERE",
"redeemable_properties": "Merchandise",
"redeemable_id": 106,
"name": "Unlock redeemable at 200 points.",
"description": "Free with the purchase of an entree.",
"points_required_to_redeem": 200
},
{
"redeemable_image_url": "IMAGE_URL_GOES_HERE",
"redeemable_properties": null,
"redeemable_id": 2397,
"name": "Free Brownie for Birthday ",
"description": "Free Brownie ",
"points_required_to_redeem": 0
}
]
}